ParrotSec系统LibreOffice不能打开或输入汉语闪退解决思路

    在安装parrotsec后,突然发现自带的LibreOffice输入汉语时发生闪退(大佬们说是因为鸟自带的sanbox造成的),本人小白一个,当然不会什么高大上的解决方法了,所以开始了一次次的尝试。

    首先,跟据跟群友们的讨论发现LibreOffice在root下可以打开,在普通用户下不能打开,当使用时用root用户打开(这也太麻烦了)。提到root用户打开,这里有一个思路,就是让软件打开时默认root权限(请百度linux网易云音乐安装无法打开)。

    其次,我尝试过sudo apt remove --purge libreoffice*,然后重新安装,发现此方法在这次并没有什么用。

   最后,也是我能想到的最后一种思路,既然系统源的软件没办法用,那我们就去软件的官网下载相对应的安装包,使用sudo dpkg –i进行安装,然后就就解决了。

    对于我们当遇到一些问题时,要多进行尝试,网上也有许多方法,虽然不一定对,但是尝试过才知道。

    以上思路同样适用于其他linux发行版的其他软件。

    在这里多说一点:什么是parrot呢?( Parrot是一个基于Debian的GNU / Linux发行版,专注于渗透测试、数字取证、编程和隐私保护。)。官网(https://www.parrotsec.org/),中文社区(https://parrotsec-cn.org/)。

猜你喜欢

转载自www.cnblogs.com/venoms/p/10376037.html
0条评论
添加一条新回复